## subplot 0.9.0.ci20240430T050500

=== debian/changelog ===
subplot (0.9.0.ci20240430T050500-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 30 Apr 2024 05:05:00 +0000

subplot (0.9.0-1) unstable; urgency=medium

  * New release.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sun, 27 Aug 2023 11:30:00 +0100

subplot (0.8.0-1) unstable; urgency=medium

  * New release.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 14 Jun 2023 19:07:32 +0100

subplot (0.7.1-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Apr 2023 11:51:05 +0300

subplot (0.7.0-1) unstable; urgency=medium

  * New release.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Mon, 10 Apr 2023 12:56:14 +0100

subplot (0.6.0-1) unstable; urgency=medium

  * New release.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sun, 13 Nov 2022 19:41:24 +0000

subplot (0.5.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 13 Sep 2022 10:47:07 +0300

subplot (0.4.2) unstable; urgency=medium

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 28 Jul 2022 16:35:39 +0300

subplot (0.4.0) unstable; urgency=medium

  * New upstream release.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Fri, 15 April 2022 15:00:00 +0100

subplot (0.3.1) unstable; urgency=medium

  * New upstream release.
  * Licence changed to MIT-0.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 16 Nov 2021 14:31:32 +0200

subplot (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 21 Oct 2021 11:07:02 +0300

subplot (0.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 07 Aug 2021 12:49:47 +0300

subplot (0.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Jul 2021 12:26:22 +0300

subplot (0.1-1) unstable; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 28 Sep 2019 16:45:49 +0300

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --path=. --root=debian/subplot --offline
	rm -f debian/subplot/.crates.toml
	rm -f debian/subplot/.crates2.json
	dh_lintian

override_dh_auto_test:
	echo disabled: ./check

## subplot 0.10.0.ci20240615T155947

=== debian/changelog ===
subplot (0.10.0.ci20240615T155947-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 15 Jun 2024 15:59:47 +0000

subplot (0.10.0-1) unstable; urgency=medium

  * New release

 -- Lars Wirzenius <liw@liw.fi>  Sat, 15 Jun 2024 11:46:53 +0300

## subplot 0.11.0.ci20241102T055755

=== debian/changelog ===
subplot (0.11.0.ci20241102T055755-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 02 Nov 2024 05:57:55 +0000

subplot (0.11.0) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 20 Aug 2024 06:59:57 +0300

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	true
 
 override_dh_auto_install:
-	cargo install --path=. --root=debian/subplot --offline
+	cargo install --path=. --root=debian/subplot --offline --locked
 	rm -f debian/subplot/.crates.toml
 	rm -f debian/subplot/.crates2.json
 	dh_lintian

## subplot 0.11.0.ci20241214T054745

=== debian/changelog ===
subplot (0.11.0.ci20241214T054745-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 14 Dec 2024 05:47:45 +0000

## subplot 0.12.0.ci20250125T055512

=== debian/changelog ===
subplot (0.12.0.ci20250125T055512-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 25 Jan 2025 05:55:13 +0000

subplot (0.12.0) unstable; urgency=medium

  * New release.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Tue, 24 Dec 2024 14:10:22 +0100

## subplot 0.13.0.ci20250831T115602

=== debian/changelog ===
subplot (0.13.0.ci20250831T115602-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 31 Aug 2025 11:56:02 +0000

subplot (0.13.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 02 Aug 2025 12:32:06 +0300

## subplot 0.13.0.ci20250906T050757

=== debian/changelog ===
subplot (0.13.0.ci20250906T050757-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Sep 2025 05:07:58 +0000

## subplot 0.13.0.ci20250913T052657

=== debian/changelog ===
subplot (0.13.0.ci20250913T052657-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 13 Sep 2025 05:26:57 +0000

## subplot 0.13.0.ci20250920T114717

=== debian/changelog ===
subplot (0.13.0.ci20250920T114717-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 20 Sep 2025 11:47:17 +0000

## subplot 0.13.0.ci20250922T053922

=== debian/changelog ===
subplot (0.13.0.ci20250922T053922-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 22 Sep 2025 05:39:22 +0000

## subplot 0.13.0.ci20250922T070831

=== debian/changelog ===
subplot (0.13.0.ci20250922T070831-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 22 Sep 2025 07:08:31 +0000

## subplot 0.13.0.ci20250922T093731

=== debian/changelog ===
subplot (0.13.0.ci20250922T093731-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 09:37:31 +0000

## subplot 0.13.0.ci20250922T094151

=== debian/changelog ===
subplot (0.13.0.ci20250922T094151-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 22 Sep 2025 09:41:51 +0000

## subplot 0.13.0.ci20250922T115921

=== debian/changelog ===
subplot (0.13.0.ci20250922T115921-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 11:59:21 +0000

## subplot 0.13.0.ci20250927T073951

=== debian/changelog ===
subplot (0.13.0.ci20250927T073951-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 07:39:51 +0000

## subplot 0.13.0.ci20251004T033928

=== debian/changelog ===
subplot (0.13.0.ci20251004T033928-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 03:39:28 +0000

## subplot 0.13.0.ci20251005T135000

=== debian/changelog ===
subplot (0.13.0.ci20251005T135000-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 05 Oct 2025 13:50:00 +0000

## subplot 0.13.0.ci20251010T064708

=== debian/changelog ===
subplot (0.13.0.ci20251010T064708-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 06:47:08 +0000

## subplot 0.13.0.ci20251012T055745

=== debian/changelog ===
subplot (0.13.0.ci20251012T055745-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 12 Oct 2025 05:57:46 +0000

## subplot 0.13.0.ci20251013T075244

=== debian/changelog ===
subplot (0.13.0.ci20251013T075244-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 07:52:44 +0000

## subplot 0.13.0.ci20251013T092950

=== debian/changelog ===
subplot (0.13.0.ci20251013T092950-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 09:29:50 +0000

## subplot 0.13.0.ci20251013T100621

=== debian/changelog ===
subplot (0.13.0.ci20251013T100621-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:06:21 +0000

## subplot 0.13.0.ci20251014T110647

=== debian/changelog ===
subplot (0.13.0.ci20251014T110647-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:06:47 +0000

## subplot 0.13.0.ci20251014T114313

=== debian/changelog ===
subplot (0.13.0.ci20251014T114313-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:43:13 +0000

## subplot 0.13.0.ci20251014T145855

=== debian/changelog ===
subplot (0.13.0.ci20251014T145855-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 14:58:55 +0000

## subplot 0.13.0.ci20251014T153331

=== debian/changelog ===
subplot (0.13.0.ci20251014T153331-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:33:31 +0000

## subplot 0.13.0.ci20251102T070018

=== debian/changelog ===
subplot (0.13.0.ci20251102T070018-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 07:00:18 +0000

## subplot 0.13.0.ci20251102T151704

=== Makefile ===
# Build Subplot and its documentation and run its tests.
#
# The "install_test" target installs the subplot binary so that
# $(SUBPLOT) refers to it. This lets us run Subplot without invoking
# "cargo run" every time. This means we invoke in a way that's more
# natural and have to jump through fewer hoops. Also the binary can be
# run from Python tests directly.
#

# Set this to build offline: --offline.
OFFLINE =

# Set this to limit the tests run by the Rust test suite or the test
# program generated by Subplot. You can override this on the command
# line: "make TESTS=foo tests subplots"
TESTS = 

SUBPLOT_DIR = $(abspath inst)
SUBPLOT = $(SUBPLOT_DIR)/subplot --resources $(abspath share)

all: tooling shell rust test subplots doc

# Check that required tooling is available.
tooling:
	which cargo
	which dot
	which plantuml
	which python3
	which rustc
	which rustfmt
	which tidy

# Check shell scripts for common problems.
shell: tooling
	if which shellcheck; then shellcheck *.sh; fi

# Run clippy and tests for Rust code.
rust: tooling
	if cargo clippy --version; then \
	    cargo clippy --locked $(OFFLINE) --workspace --all-targets -- -Dwarnings && \
		cd examples/seq && cargo clippy --workspace --all-targets -- -Dwarnings; \
	fi

# Run all tests, both Python and Rust.
test: install_test
	cd share/python/template && python3 context_tests.py
	cd share/python/template && python3 encoding_tests.py
	env SUBPLOT_DIR="$(SUBPLOT_DIR)" cargo test --workspace -- $(TESTS)

# Install the subplot binary in a place where we run it from. After
# this target has completed, $(SUBPLOT) will expand to the binary we
# will use for tests.
#
# We use "cargo install" to have a known location, rather than trying
# to determine where "cargo build" puts the binary.
install_test: tooling
	rm -rf "$(SUBPLOT_DIR)"
	cargo install --locked $(OFFLINE) --path=bin --root="$(SUBPLOT_DIR)" --debug
	mv "$(SUBPLOT_DIR)"/bin/* "$(SUBPLOT_DIR)"
	rm -rf "$(SUBPLOT_DIR)"/.crate*  "$(SUBPLOT_DIR)"/bin

# Generate code from and run Subplots.
subplots: install_test
	$(SUBPLOT) codegen subplot.subplot -o test.py --template python
	rm -f test.log
	python3 test.py --log test.log --env SUBPLOT_DIR=$(SUBPLOT_DIR) $(TESTS)

	cd examples/muck && $(SUBPLOT) codegen muck.subplot --run --output test.py
	if [ "$(OFFLINE)" = "" ] ; then \
		cd examples/website && \
		$(SUBPLOT) codegen website.subplot --run --output test.py; \
	fi
	cd examples/seq && cargo test -- $(TESTS)

# Build documentation and move built documentation from next to
# subplot to the "docs" directory, so that they can easily be
# published somewhere. This is simpler than building the docs so they
# land in their final location directly.
doc: docgen libdocs userguide
	mkdir -p doc/libdocs
	for x in subplot.html tests/subplots/common/*.html examples/*/*.html book/*.html; do if [ -e "$$x" ]; then mv "$$x" doc; fi; done
	for x in $(SUBPLOT_DIR)/*.html; do if [ -e "$$x" ]; then mv "$$x" doc/libdocs/; fi; done

docgen: install_test
	$(SUBPLOT) docgen subplot.subplot -o subplot.html
	$(SUBPLOT) docgen tests/subplots/common/files.subplot -o tests/subplots/common/files.html
	$(SUBPLOT) docgen tests/subplots/common/runcmd.subplot -o tests/subplots/common/runcmd.html
	cd examples/muck && $(SUBPLOT)/subplot docgen muck.subplot -o muck.html
	cd examples/website && $(SUBPLOT) docgen website.subplot -o website.html
	cd examples/seq && $(SUBPLOT) docgen seq.subplot -o seq.html

libdocs: install_test
	$(SUBPLOT) libdocgen lib/runcmd.yaml --output $(SUBPLOT_DIR)/runcmd.md
	if which pandoc>/dev/null; then pandoc --toc --standalone --self-contained --metadata "title=lib/runcmd"  --output $(SUBPLOT_DIR)/runcmd.html $(SUBPLOT_DIR)/runcmd.md; fi

	$(SUBPLOT) libdocgen lib/files.yaml --output $(SUBPLOT_DIR)/files.md
	if which pandoc>/dev/null; then pandoc --toc --standalone --self-contained --metadata "title=lib/files"  --output $(SUBPLOT_DIR)/files.html $(SUBPLOT_DIR)/files.md; fi

	$(SUBPLOT) libdocgen python/lib/daemon.yaml --output $(SUBPLOT_DIR)/daemon.md
	if which pandoc>/dev/null; then pandoc --toc --standalone --self-contained --metadata "title=lib/daemon"  --output $(SUBPLOT_DIR)/daemon.html $(SUBPLOT_DIR)/daemon.md; fi

.PHONY: userguide
userguide:
	$(SUBPLOT) docgen book/user-guide.subplot --output book/user-guide.html

=== debian/changelog ===
subplot (0.13.0.ci20251102T151704-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:17:04 +0000

=== debian/control ===
Source: subplot
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: utils
Priority: optional
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10~), python3, python3-requests,
  librsvg2-bin, graphviz, plantuml, daemonize, procps, tidy
Homepage: https://subplot.liw.fi

Package: subplot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: librsvg2-bin, graphviz
Suggests: plantuml
Built-Using: ${cargo:Built-Using}
Description: automatic tool for acceptance testing
 Capture and communicate acceptance criteria for software and systems,
 and how they are verified, in a way that's understood by all project
 stakeholders.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --path=bin --root=debian/subplot --offline --locked
	rm -f debian/subplot/.crates.toml
	rm -f debian/subplot/.crates2.json
	dh_lintian

override_dh_auto_test:
	echo disabled

## subplot 0.13.0.ci20251107T150750

=== debian/changelog ===
subplot (0.13.0.ci20251107T150750-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:07:50 +0000

## subplot 0.13.0.ci20251110T081647

=== debian/changelog ===
subplot (0.13.0.ci20251110T081647-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:16:47 +0000

## subplot 0.13.0.ci20251111T064908

=== debian/changelog ===
subplot (0.13.0.ci20251111T064908-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 11 Nov 2025 06:49:08 +0000

## subplot 0.13.0.ci20251112T133629

=== debian/changelog ===
subplot (0.13.0.ci20251112T133629-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 13:36:29 +0000

## subplot 0.13.0.ci20251112T145855

=== debian/changelog ===
subplot (0.13.0.ci20251112T145855-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 14:58:55 +0000

## subplot 0.13.0.ci20251114T150831

=== debian/changelog ===
subplot (0.13.0.ci20251114T150831-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:08:31 +0000

## subplot 0.13.0.ci20251115T051709

=== debian/changelog ===
subplot (0.13.0.ci20251115T051709-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 15 Nov 2025 05:17:09 +0000

## subplot 0.13.0.ci20251116T060613

=== debian/changelog ===
subplot (0.13.0.ci20251116T060613-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 16 Nov 2025 06:06:13 +0000

## subplot 0.13.0.ci20251122T113318

=== debian/changelog ===
subplot (0.13.0.ci20251122T113318-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 22 Nov 2025 11:33:18 +0000

## subplot 0.13.0.ci20251123T183925

=== debian/changelog ===
subplot (0.13.0.ci20251123T183925-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 23 Nov 2025 18:39:25 +0000

## subplot 0.13.0.ci20251124T102318

=== debian/changelog ===
subplot (0.13.0.ci20251124T102318-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 10:23:18 +0000

## subplot 0.13.0.ci20251124T122645

=== debian/changelog ===
subplot (0.13.0.ci20251124T122645-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 12:26:45 +0000

## subplot 0.13.0.ci20251125T122356

=== debian/changelog ===
subplot (0.13.0.ci20251125T122356-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 12:23:56 +0000

## subplot 0.13.0.ci20251125T145406

=== debian/changelog ===
subplot (0.13.0.ci20251125T145406-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 14:54:06 +0000

## subplot 0.13.0.ci20251129T121759

=== debian/changelog ===
subplot (0.13.0.ci20251129T121759-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 29 Nov 2025 12:17:59 +0000

## subplot 0.13.0.ci20251130T065953

=== debian/changelog ===
subplot (0.13.0.ci20251130T065953-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 06:59:53 +0000

## subplot 0.13.0.ci20251203T071259

=== debian/changelog ===
subplot (0.13.0.ci20251203T071259-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 03 Dec 2025 07:12:59 +0000

## subplot 0.13.0.ci20251204T054941

=== debian/changelog ===
subplot (0.13.0.ci20251204T054941-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 05:49:41 +0000

## subplot 0.13.0.ci20251204T080739

=== debian/changelog ===
subplot (0.13.0.ci20251204T080739-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:07:39 +0000

## subplot 0.13.0.ci20251208T114406

=== debian/changelog ===
subplot (0.13.0.ci20251208T114406-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 11:44:07 +0000

## subplot 0.13.0.ci20251209T145529

=== debian/changelog ===
subplot (0.13.0.ci20251209T145529-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Dec 2025 14:55:30 +0000

## subplot 0.13.0.ci20251215T054023

=== debian/changelog ===
subplot (0.13.0.ci20251215T054023-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 05:40:23 +0000

## subplot 0.14.0.ci20251220T095237

=== debian/changelog ===
subplot (0.14.0.ci20251220T095237-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 09:52:38 +0000

subplot (0.14.0-1) unstable; urgency=medium

  * New release.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Fri, 19 Dec 2025 16:57:08 +0000

## subplot 0.14.0.ci20251220T095953

=== debian/changelog ===
subplot (0.14.0.ci20251220T095953-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 09:59:53 +0000

## subplot 0.14.0.ci20251220T100422

=== debian/changelog ===
subplot (0.14.0.ci20251220T100422-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 10:04:22 +0000

## subplot 0.14.0.ci20251220T141845

=== debian/changelog ===
subplot (0.14.0.ci20251220T141845-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 14:18:45 +0000

## subplot 0.14.0.ci20251220T175815

=== debian/changelog ===
subplot (0.14.0.ci20251220T175815-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 17:58:15 +0000

## subplot 0.14.0.ci20251221T055355

=== debian/changelog ===
subplot (0.14.0.ci20251221T055355-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 05:53:56 +0000

## subplot 0.14.0.ci20260102T092737

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,11 @@
 # program generated by Subplot. You can override this on the command
 # line: "make TESTS=foo tests subplots"
 TESTS = 
+
+# Set this to the Rust target identifier, including the --target option.
+# For example:
+# TARGET = --target x86_64-unknown-linux-musl
+TARGET = 
 
 SUBPLOT_DIR = $(abspath inst)
 SUBPLOT = $(SUBPLOT_DIR)/subplot --resources $(abspath share)
@@ -45,7 +50,7 @@
 test: install_test
 	cd share/python/template && python3 context_tests.py
 	cd share/python/template && python3 encoding_tests.py
-	env SUBPLOT_DIR="$(SUBPLOT_DIR)" cargo test --workspace -- $(TESTS)
+	env SUBPLOT_DIR="$(SUBPLOT_DIR)" cargo test $(TARGET) --workspace -- $(TESTS)
 
 # Install the subplot binary in a place where we run it from. After
 # this target has completed, $(SUBPLOT) will expand to the binary we
@@ -55,7 +60,7 @@
 # to determine where "cargo build" puts the binary.
 install_test: tooling
 	rm -rf "$(SUBPLOT_DIR)"
-	cargo install --locked $(OFFLINE) --path=bin --root="$(SUBPLOT_DIR)" --debug
+	cargo install $(TARGET) --locked $(OFFLINE) --path=bin --root="$(SUBPLOT_DIR)" --debug
 	mv "$(SUBPLOT_DIR)"/bin/* "$(SUBPLOT_DIR)"
 	rm -rf "$(SUBPLOT_DIR)"/.crate*  "$(SUBPLOT_DIR)"/bin

=== debian/changelog ===
subplot (0.14.0.ci20260102T092737-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 02 Jan 2026 09:27:37 +0000

## subplot 0.14.0.ci20260105T115018

=== debian/changelog ===
subplot (0.14.0.ci20260105T115018-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 11:50:18 +0000

## subplot 0.14.0.ci20260112T121204

=== debian/changelog ===
subplot (0.14.0.ci20260112T121204-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 12:12:04 +0000

## subplot 0.14.0.ci20260112T165346

=== debian/changelog ===
subplot (0.14.0.ci20260112T165346-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 16:53:47 +0000

## subplot 0.14.0.ci20260114T115945

=== debian/changelog ===
subplot (0.14.0.ci20260114T115945-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 11:59:45 +0000

## subplot 0.14.0.ci20260118T125542

=== debian/changelog ===
subplot (0.14.0.ci20260118T125542-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 12:55:42 +0000

## subplot 0.14.0.ci20260120T112114

=== debian/changelog ===
subplot (0.14.0.ci20260120T112114-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 11:21:14 +0000

## subplot 0.14.0.ci20260131T053830

=== debian/changelog ===
subplot (0.14.0.ci20260131T053830-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 31 Jan 2026 05:38:31 +0000

## subplot 0.14.0.ci20260204T090112

=== debian/changelog ===
subplot (0.14.0.ci20260204T090112-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:01:12 +0000

## subplot 0.14.0.ci20260205T162218

=== debian/changelog ===
subplot (0.14.0.ci20260205T162218-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 05 Feb 2026 16:22:18 +0000

## subplot 0.14.0.ci20260217T043610

=== debian/changelog ===
subplot (0.14.0.ci20260217T043610-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 17 Feb 2026 04:36:10 +0000

## subplot 0.14.0.ci20260223T070602

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 # Set this to the Rust target identifier, including the --target option.
 # For example:
-# TARGET = --target x86_64-unknown-linux-musl
-TARGET = 
+TARGET = --target x86_64-unknown-linux-musl
+# TARGET = 
 
 SUBPLOT_DIR = $(abspath inst)
 SUBPLOT = $(SUBPLOT_DIR)/subplot --resources $(abspath share)

=== debian/changelog ===
subplot (0.14.0.ci20260223T070602-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 23 Feb 2026 07:06:02 +0000

## subplot 0.14.0.ci20260302T072940

=== debian/changelog ===
subplot (0.14.0.ci20260302T072940-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 02 Mar 2026 07:29:41 +0000
